"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNumberEntry = void 0;
var faker_1 = __importDefault(require("faker"));
var createNumberEntry = function (num) {
    var fsType = 'CMS_INPUT_NUMBER';
    var name = faker_1.default.random.word();
    var value = typeof num !== 'number' || Number.isNaN(num) ? faker_1.default.datatype.number(42) : num;
    return { fsType: fsType, name: name, value: value };
};
exports.createNumberEntry = createNumberEntry;
//# sourceMappingURL=createNumberEntry.js.map