import { LogLevel } from './Logger';
import { FSXAApi } from '..';
export declare type FSXAApiSingletonInitOptions = {
    logLevel?: LogLevel;
    enableEventStream?: boolean;
};
export declare class FSXAApiSingleton {
    private static _api;
    private static _logger;
    static init(api: FSXAApi, options?: FSXAApiSingletonInitOptions): FSXAApi;
    static get instance(): FSXAApi;
}
