"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDatasetReference = exports.createDataset = void 0;
var faker_1 = __importDefault(require("faker"));
var createDataEntry_1 = require("./createDataEntry");
var createDataset = function (id) {
    var base = (0, createDataEntry_1.createDataEntry)(id);
    var template = (0, createDataEntry_1.createDataEntry)();
    return __assign(__assign({}, base), { fsType: 'Dataset', formData: {}, schema: base.uid + "-schema", entityType: base.uid + "-entityType", route: base.uid + "-route", routes: [
            {
                pageRef: 'abc',
                route: '/def/abc',
            },
        ], template: __assign(__assign({}, template), { fsType: 'PageTemplate' }), locale: {
            language: 'de',
            country: 'DE',
        } });
};
exports.createDataset = createDataset;
var createDatasetReference = function (id) {
    var base = (0, createDataEntry_1.createDataEntry)(id);
    return {
        name: faker_1.default.random.word(),
        value: {
            fsType: 'DatasetReference',
            target: {
                fsType: 'Dataset',
                schema: base.uid + "-schema",
                identifier: base.identifier,
                entityType: base.uid + "-schema",
            },
        },
        fsType: 'FS_DATASET',
    };
};
exports.createDatasetReference = createDatasetReference;
//# sourceMappingURL=createDataset.js.map