"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRemotePageRefReference = void 0;
var faker_1 = __importDefault(require("faker"));
var testutils_1 = require("../testutils");
function createRemotePageRefReference() {
    var value = __assign(__assign({ fsType: 'PageRef', url: faker_1.default.internet.url() }, (0, testutils_1.createDataEntry)()), { remoteProject: faker_1.default.datatype.uuid() });
    return {
        fsType: 'FS_REFERENCE',
        name: faker_1.default.internet.userName(),
        value: value,
    };
}
exports.createRemotePageRefReference = createRemotePageRefReference;
//# sourceMappingURL=createFsReference.js.map