"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProjectProperties = void 0;
var faker_1 = __importDefault(require("faker"));
var createDataEntry_1 = require("./createDataEntry");
var createProjectProperties = function (id) {
    var base = (0, createDataEntry_1.createDataEntry)(id);
    var name = faker_1.default.random.word();
    var template = (0, createDataEntry_1.createDataEntry)();
    return __assign(__assign({}, base), { _id: "" + base.uid, fsType: 'ProjectProperties', name: name, formData: {}, metaFormData: {}, template: __assign(__assign({}, template), { fsType: 'PageTemplate' }) });
};
exports.createProjectProperties = createProjectProperties;
//# sourceMappingURL=createProjectProperties.js.map